Server won't start after I switched to sponge

So I downloaded sponge for my Forge server (Running 14.23.5.2854) with sponge (running 1.12.2-2838-7.3.1-RC4093). I know that the issue might be the fact that they ain’t running the same forge, but I literally can’t downgrade forge or else it will crash my server.

So here’s the only thing that will show up in config: https://pastebin.com/KQRpYyty

You may have a broken download of SpongeForge. Our downloads page is a bit malfunctional at present; I recommend using the latest Recommended Build (RB) for now - or you can get specific builds from GitHub commits. See the recent announcement for more info.